// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.3
// 	protoc        (unknown)
// source: proto/classify_service.proto

package proto

import (
	_ "google.golang.org/genproto/googleapis/api/annotations"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ClassifyType int32

const (
	ClassifyType_UNSPECIFIED    ClassifyType = 0
	ClassifyType_FIRST_CELL     ClassifyType = 1
	ClassifyType_SESSION_PREFIX ClassifyType = 2
	ClassifyType_CELL_ID        ClassifyType = 3
)

// Enum value maps for ClassifyType.
var (
	ClassifyType_name = map[int32]string{
		0: "UNSPECIFIED",
		1: "FIRST_CELL",
		2: "SESSION_PREFIX",
		3: "CELL_ID",
	}
	ClassifyType_value = map[string]int32{
		"UNSPECIFIED":    0,
		"FIRST_CELL":     1,
		"SESSION_PREFIX": 2,
		"CELL_ID":        3,
	}
)

func (x ClassifyType) Enum() *ClassifyType {
	p := new(ClassifyType)
	*p = x
	return p
}

func (x ClassifyType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ClassifyType) Descriptor() protoreflect.EnumDescriptor {
	return file_proto_classify_service_proto_enumTypes[0].Descriptor()
}

func (ClassifyType) Type() protoreflect.EnumType {
	return &file_proto_classify_service_proto_enumTypes[0]
}

func (x ClassifyType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ClassifyType.Descriptor instead.
func (ClassifyType) EnumDescriptor() ([]byte, []int) {
	return file_proto_classify_service_proto_rawDescGZIP(), []int{0}
}

type ClassifyAction int32

const (
	ClassifyAction_ACTION_UNSPECIFIED ClassifyAction = 0
	ClassifyAction_PROXY              ClassifyAction = 1
)

// Enum value maps for ClassifyAction.
var (
	ClassifyAction_name = map[int32]string{
		0: "ACTION_UNSPECIFIED",
		1: "PROXY",
	}
	ClassifyAction_value = map[string]int32{
		"ACTION_UNSPECIFIED": 0,
		"PROXY":              1,
	}
)

func (x ClassifyAction) Enum() *ClassifyAction {
	p := new(ClassifyAction)
	*p = x
	return p
}

func (x ClassifyAction) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ClassifyAction) Descriptor() protoreflect.EnumDescriptor {
	return file_proto_classify_service_proto_enumTypes[1].Descriptor()
}

func (ClassifyAction) Type() protoreflect.EnumType {
	return &file_proto_classify_service_proto_enumTypes[1]
}

func (x ClassifyAction) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ClassifyAction.Descriptor instead.
func (ClassifyAction) EnumDescriptor() ([]byte, []int) {
	return file_proto_classify_service_proto_rawDescGZIP(), []int{1}
}

type ClassifyRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Type          ClassifyType           `protobuf:"varint,2,opt,name=type,proto3,enum=gitlab.cells.topology_service.ClassifyType" json:"type,omitempty"`
	Value         string                 `protobuf:"bytes,3,opt,name=value,proto3" json:"value,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ClassifyRequest) Reset() {
	*x = ClassifyRequest{}
	mi := &file_proto_classify_service_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ClassifyRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClassifyRequest) ProtoMessage() {}

func (x *ClassifyRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_classify_service_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClassifyRequest.ProtoReflect.Descriptor instead.
func (*ClassifyRequest) Descriptor() ([]byte, []int) {
	return file_proto_classify_service_proto_rawDescGZIP(), []int{0}
}

func (x *ClassifyRequest) GetType() ClassifyType {
	if x != nil {
		return x.Type
	}
	return ClassifyType_UNSPECIFIED
}

func (x *ClassifyRequest) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type ProxyInfo struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Address       string                 `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ProxyInfo) Reset() {
	*x = ProxyInfo{}
	mi := &file_proto_classify_service_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ProxyInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProxyInfo) ProtoMessage() {}

func (x *ProxyInfo) ProtoReflect() protoreflect.Message {
	mi := &file_proto_classify_service_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProxyInfo.ProtoReflect.Descriptor instead.
func (*ProxyInfo) Descriptor() ([]byte, []int) {
	return file_proto_classify_service_proto_rawDescGZIP(), []int{1}
}

func (x *ProxyInfo) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

type ClassifyResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Action        ClassifyAction         `protobuf:"varint,1,opt,name=action,proto3,enum=gitlab.cells.topology_service.ClassifyAction" json:"action,omitempty"`
	Proxy         *ProxyInfo             `protobuf:"bytes,2,opt,name=proxy,proto3" json:"proxy,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ClassifyResponse) Reset() {
	*x = ClassifyResponse{}
	mi := &file_proto_classify_service_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ClassifyResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClassifyResponse) ProtoMessage() {}

func (x *ClassifyResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_classify_service_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClassifyResponse.ProtoReflect.Descriptor instead.
func (*ClassifyResponse) Descriptor() ([]byte, []int) {
	return file_proto_classify_service_proto_rawDescGZIP(), []int{2}
}

func (x *ClassifyResponse) GetAction() ClassifyAction {
	if x != nil {
		return x.Action
	}
	return ClassifyAction_ACTION_UNSPECIFIED
}

func (x *ClassifyResponse) GetProxy() *ProxyInfo {
	if x != nil {
		return x.Proxy
	}
	return nil
}

var File_proto_classify_service_proto protoreflect.FileDescriptor

var file_proto_classify_service_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79,
	0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70,
	0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x1a, 0x1c, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x2f, 0x63, 0x65, 0x6c, 0x6c, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0x68, 0x0a, 0x0f, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3f, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x2b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c,
	0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x2e, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79, 0x54, 0x79, 0x70, 0x65,
	0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x25, 0x0a, 0x09,
	0x50, 0x72, 0x6f, 0x78, 0x79, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x64, 0x64,
	0x72, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x64, 0x64, 0x72,
	0x65, 0x73, 0x73, 0x22, 0x99, 0x01, 0x0a, 0x10, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x45, 0x0a, 0x06, 0x61, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79,
	0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66,
	0x79, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x06, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x3e, 0x0a, 0x05, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f,
	0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x50,
	0x72, 0x6f, 0x78, 0x79, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x05, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2a,
	0x50, 0x0a, 0x0c, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x0f, 0x0a, 0x0b, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00,
	0x12, 0x0e, 0x0a, 0x0a, 0x46, 0x49, 0x52, 0x53, 0x54, 0x5f, 0x43, 0x45, 0x4c, 0x4c, 0x10, 0x01,
	0x12, 0x12, 0x0a, 0x0e, 0x53, 0x45, 0x53, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x50, 0x52, 0x45, 0x46,
	0x49, 0x58, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x43, 0x45, 0x4c, 0x4c, 0x5f, 0x49, 0x44, 0x10,
	0x03, 0x2a, 0x33, 0x0a, 0x0e, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79, 0x41, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x16, 0x0a, 0x12, 0x41, 0x43, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x55, 0x4e,
	0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x09, 0x0a, 0x05, 0x50,
	0x52, 0x4f, 0x58, 0x59, 0x10, 0x01, 0x32, 0x98, 0x02, 0x0a, 0x0f, 0x43, 0x6c, 0x61, 0x73, 0x73,
	0x69, 0x66, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x7e, 0x0a, 0x08, 0x47, 0x65,
	0x74, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x12, 0x2e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x11, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0b, 0x12,
	0x09, 0x2f, 0x76, 0x31, 0x2f, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x12, 0x84, 0x01, 0x0a, 0x08, 0x43,
	0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79, 0x12, 0x2e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66, 0x79,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x17, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x11,
	0x3a, 0x01, 0x2a, 0x22, 0x0c, 0x2f, 0x76, 0x31, 0x2f, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66,
	0x79, 0x42, 0xd5, 0x01, 0x0a, 0x21, 0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x42, 0x14, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x69, 0x66,
	0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a,
	0x08, 0x2e, 0x2e, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0xa2, 0x02, 0x03, 0x47, 0x43, 0x54, 0xaa,
	0x02, 0x1c, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x54,
	0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0xca, 0x02,
	0x1c, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x5c, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x5c, 0x54, 0x6f,
	0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0xe2, 0x02, 0x28,
	0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x5c, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x5c, 0x54, 0x6f, 0x70,
	0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5c, 0x47, 0x50, 0x42,
	0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x1e, 0x47, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x3a, 0x3a, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x3a, 0x3a, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f,
	0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_proto_classify_service_proto_rawDescOnce sync.Once
	file_proto_classify_service_proto_rawDescData = file_proto_classify_service_proto_rawDesc
)

func file_proto_classify_service_proto_rawDescGZIP() []byte {
	file_proto_classify_service_proto_rawDescOnce.Do(func() {
		file_proto_classify_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_classify_service_proto_rawDescData)
	})
	return file_proto_classify_service_proto_rawDescData
}

var file_proto_classify_service_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_proto_classify_service_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_proto_classify_service_proto_goTypes = []any{
	(ClassifyType)(0),        // 0: gitlab.cells.topology_service.ClassifyType
	(ClassifyAction)(0),      // 1: gitlab.cells.topology_service.ClassifyAction
	(*ClassifyRequest)(nil),  // 2: gitlab.cells.topology_service.ClassifyRequest
	(*ProxyInfo)(nil),        // 3: gitlab.cells.topology_service.ProxyInfo
	(*ClassifyResponse)(nil), // 4: gitlab.cells.topology_service.ClassifyResponse
	(*GetCellsRequest)(nil),  // 5: gitlab.cells.topology_service.GetCellsRequest
	(*GetCellsResponse)(nil), // 6: gitlab.cells.topology_service.GetCellsResponse
}
var file_proto_classify_service_proto_depIdxs = []int32{
	0, // 0: gitlab.cells.topology_service.ClassifyRequest.type:type_name -> gitlab.cells.topology_service.ClassifyType
	1, // 1: gitlab.cells.topology_service.ClassifyResponse.action:type_name -> gitlab.cells.topology_service.ClassifyAction
	3, // 2: gitlab.cells.topology_service.ClassifyResponse.proxy:type_name -> gitlab.cells.topology_service.ProxyInfo
	5, // 3: gitlab.cells.topology_service.ClassifyService.GetCells:input_type -> gitlab.cells.topology_service.GetCellsRequest
	2, // 4: gitlab.cells.topology_service.ClassifyService.Classify:input_type -> gitlab.cells.topology_service.ClassifyRequest
	6, // 5: gitlab.cells.topology_service.ClassifyService.GetCells:output_type -> gitlab.cells.topology_service.GetCellsResponse
	4, // 6: gitlab.cells.topology_service.ClassifyService.Classify:output_type -> gitlab.cells.topology_service.ClassifyResponse
	5, // [5:7] is the sub-list for method output_type
	3, // [3:5] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_proto_classify_service_proto_init() }
func file_proto_classify_service_proto_init() {
	if File_proto_classify_service_proto != nil {
		return
	}
	file_proto_cell_info_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_classify_service_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_classify_service_proto_goTypes,
		DependencyIndexes: file_proto_classify_service_proto_depIdxs,
		EnumInfos:         file_proto_classify_service_proto_enumTypes,
		MessageInfos:      file_proto_classify_service_proto_msgTypes,
	}.Build()
	File_proto_classify_service_proto = out.File
	file_proto_classify_service_proto_rawDesc = nil
	file_proto_classify_service_proto_goTypes = nil
	file_proto_classify_service_proto_depIdxs = nil
}
